<?php
$class[] = 'wpmf-gallerys wpmf-gallerys-addon wpmf-flipster';
$class[] = 'wpmf-has-border-radius-' . $img_border_radius;
if (count($attachments) === 1) {
    $class[] = 'wpmf-single-item';
}
$class = implode(' ', $class);
$style = '';
if ($img_shadow !== '') {
    $style .= '#' . $selector . ' .wpmf-gallery-item.flipster__item--current img:not(.glrsocial_image):hover, #' . $selector . ' .wpmf-gallery-item.flipster__item--current .hover_img {box-shadow: ' . $img_shadow . ' !important; transition: all 200ms ease;}';
}

if ($border_style !== 'none') {
    $style .= '#' . $selector . ' .wpmf-gallery-item img:not(.glrsocial_image) {border: ' . $border_color . ' '. $border_width .'px '. $border_style .'}';
}

wp_add_inline_style('wpmf-gallery-style', $style);
echo '<div class="' . esc_attr($class) . '" data-id="' . esc_attr($id) . '">';
echo '<div id="' . esc_attr($selector) . '" class="flipster" data-button="' . esc_attr($show_buttons) . '">';
echo '<ul>';
$i             = 0;
$current_theme = get_option('current_theme');
if (isset($current_theme) && $current_theme === 'Gleam') {
    $tclass = 'fancybox';
} else {
    $tclass = '';
}

foreach ($attachments as $img_id => $attachment) {
    $image_meta = wp_get_attachment_metadata($img_id);
    if (empty($image_meta['height']) || empty($image_meta['width'])) {
        continue;
    }
    $post_title   = esc_html($attachment->post_title);
    $post_excerpt = esc_html($attachment->post_excerpt);
    $link_target  = get_post_meta($attachment->ID, '_gallery_link_target', true);
    $img_tags     = get_post_meta($attachment->ID, 'wpmf_img_tags', true);
    $tg           = get_post_meta($attachment->ID, '_gallery_link_target', true);

    $icon         = '<span class="hover_img"></span>';
    $icon .= $social;
    if ($customlink) {
        $url = get_post_meta($img_id, _WPMF_GALLERY_PREFIX . 'custom_image_link', true);
        if ($url === '') {
            $url = get_attachment_link($img_id);
        }
        $icon         = '<a href="' . $url . '" title="' . $post_title . '" class="hover_img ' . $tclass . '" target="' . $tg . '"></a>' . $social;
        $icon .= $social;
        $image_output = $this->galleryGetAttachmentLink($img_id, $size, false, $targetsize, $customlink, $link_target);
    } elseif (!empty($link) && 'file' === $link) {
        $image_output = $this->galleryGetAttachmentLink($img_id, $size, false, $targetsize, $customlink, $link_target);
        if (strpos($image_output, "data-swipe='0'") || strpos($image_output, 'data-swipe="0"')) {
            $url  = get_post_meta($img_id, _WPMF_GALLERY_PREFIX . 'custom_image_link', true);
            $icon = '<a data-swipe="0" href="' . $url . '" title="' . $post_title . '" class="hover_img ' . $tclass . '" target="' . $tg . '"></a>';
            $icon .= $social;
        } else {
            $item_urls      = wp_get_attachment_image_src($img_id, $targetsize);
            $url       = $item_urls[0];
            $data_size = $item_urls[1] . 'x' . $item_urls[2];
            if (!empty($remote_video)) {
                $icon = '<a data-size="' . $data_size . '" data-swipe="1" href="' . $remote_video . '"
 title="' . $post_title . '" class="wpmfgalleryaddonswipe hover_img ' . $tclass . ' isvideo"></a>';
                $icon .= $social;
            } else {
                $icon = '<a data-size="' . $data_size . '" data-swipe="1" href="' . $url . '" title="' . $post_title . '"
 class="wpmfgalleryaddonswipe hover_img ' . $tclass . ' not_video"></a>';
                $icon .= $social;
            }
        }
    } elseif (!empty($link) && 'none' === $link) {
        if (get_post_meta($img_id, _WPMF_GALLERY_PREFIX . 'custom_image_link', true) !== '') {
            $image_output = $this->galleryGetAttachmentLink($img_id, $size, false, $targetsize, $customlink, $link_target);
            $url          = get_post_meta($img_id, _WPMF_GALLERY_PREFIX . 'custom_image_link', true);
            $icon         = '<a href="' . $url . '" title="' . $post_title . '" class="hover_img ' . $tclass . '" target="' . $tg . '"></a>';
            $icon .= $social;
        } else {
            $image_output = wp_get_attachment_image($img_id, $size, false, array('data-type' => 'wpmfgalleryimg'));
        }
    } else {
        $image_output = $this->galleryGetAttachmentLink($img_id, $size, true, 'large', false, $link_target);
    }

    echo '<li class="wpmf-gallery-item wpmf-gallery-icon" data-tags="' . esc_html($img_tags) . '">';
    echo $icon . $image_output; // phpcs:ignore WordPress.Security.EscapeOutput -- Content already escaped in the method
    echo '<div class="flipster_infos">';
    echo '<div class="h5">' . esc_html($post_title) . '</div>';
    echo '<span>' . esc_html($post_excerpt) . '</span>';
    echo '</div>';
    echo '</li>';
}
echo "</ul></div></div>\n";
